%define oname claws-mail
%define claws_version 3.8.1
%define _disable_ld_no_undefined 1

%define subrel 2


Summary:	This package contains additional plugins for %{oname}
Name:		%{oname}-plugins
Version:	%{claws_version}
Release:	%mkrel 1
Group:		Networking/Mail
License:	GPLv3+
URL:		http://www.claws-mail.org/plugins/downloads
Source0:	http://downloads.sourceforge.net/project/sylpheed-claws/extra%20plugins/%{version}/%{oname}-extra-plugins-%{version}.tar.bz2

# Upstream patch
# bug MGA#7945
Patch0:		claws-mail-python-plugin-fix-runtime-require-libpython.patch
# bug MGA#8291
Patch1:		claws-mail-vcalendar-pluginfix-CVE-2012-5527.patch

Epoch:		1

#BR needed for autoreconf :
BuildRequires:	gettext-devel

BuildRequires:	claws-mail-devel = 1:%{claws_version}
BuildRequires:	claws-mail = 1:%{claws_version}
BuildRequires:	libetpan-devel
BuildRequires:	perl-devel
BuildRequires:	curl-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libgtkhtml2-devel
BuildRequires:	ghostscript
BuildRequires:	pygtk2.0-devel

Requires:	%{oname} = %{claws_version}

%description
This package contains additional plugins for %{oname}:
%{oname}-acpi-plugin,
%{oname}-att_remover-plugin,
%{oname}-bsfilter-plugin,
%{oname}-fancy-plugin,
%{oname}-fetchinfo-plugin,
%{oname}-mailmbox-plugin,
%{oname}-notification-plugin,
%{oname}-pdf_viewer-plugin,
%{oname}-perl-plugin,
%{oname}-python-plugin,
%{oname}-rssyl-plugin,
%{oname}-vcalendar-plugin,
%{oname}-spamreport-plugin,
%{oname}-gtkhtml2_viewer,
%{oname}-attachwarner,
%{oname}-spam_report,
%{oname}-tnef_parse-plugin,
%{oname}-address_keeper-plugin,
%{oname}-clamd-plugin.

%package -n %{oname}-acpi-plugin
Summary:	This plugin enables mail notification via LEDs on some laptops
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-acpi-plugin
This plugin for %{oname} enables mail notification via LEDs
on some laptops.

%package -n %{oname}-att_remover-plugin
Summary:	This plugin for %{oname} enables the removal of attachments
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-att_remover-plugin
This plugin for %{oname} enables the removal of attachments.

%package -n %{oname}-bsfilter-plugin
Summary:	This plugin enables spam fitering through bsfilter
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-bsfilter-plugin
Check all messages that are received from an IMAP, LOCAL or POP account
for spam using Bsfilter.

%package -n %{oname}-fancy-plugin
Summary:	This plugin renders HTML e-mails through WebKit
Group:		Networking/Mail
BuildRequires:	webkitgtk-devel
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-fancy-plugin
Renders HTML e-mail using the WebKit library

%package -n %{oname}-fetchinfo-plugin
Summary:	This plugin inserts headers containing some download information
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-fetchinfo-plugin
This plugin for %{oname} inserts headers containing some download
information: UIDL, Sylpheeds account name, POP server, user ID
and retrieval time.

%package -n %{oname}-mailmbox-plugin
Summary:	This plugin provides direct access to mbox folders
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-mailmbox-plugin
This plugin for %{oname} provides direct access to mbox folders.

%package -n %{oname}-newmail-plugin
Summary:	This plugin can write a summary to a log file
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-newmail-plugin
This plugin for %{oname} can write a summary to a log file upon
receiving new mail. It defaults to ~/Mail/NewLog.

%package -n %{oname}-notification-plugin
Summary:	This plugin notify from new mail
Group:		Networking/Mail
BuildRequires:	libnotify-devel
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-notification-plugin
This plugin for %{oname} notify from new incoming mail.

%package -n %{oname}-pdf_viewer-plugin
Summary:	This plugin is for viewing PDF files
Group:		Networking/Mail
BuildRequires:	poppler-glib-devel
BuildRequires:	poppler-data
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-pdf_viewer-plugin
This plugin for %{oname} is for viewing PDF files.

%package -n %{oname}-perl-plugin
Summary:	Perl interface to %{oname}s' filtering mechanism
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-perl-plugin
This plugin is intended to extend the filtering possibilities
of %{oname}. It provides a Perl interface to %{oname}s'
filtering mechanism, allowing the use of full Perl power in
email filters.

%package -n %{oname}-python-plugin
Summary:	Python scriptin access to %{oname}
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-python-plugin
This plugin offers a Python scripting access to %{oname}.

%package -n %{oname}-rssyl-plugin
Summary:	This plugin allows you to read your favorite newsfeeds in %{oname}
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-rssyl-plugin
This plugin allows you to read your favorite newsfeeds in %{oname}.
RSS 1.0, 2.0 and Atom feeds are currently supported.

%package -n %{oname}-vcalendar-plugin
Summary:	This plugin for %{oname} enables vCalendar message handling
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-vcalendar-plugin
This %{oname} plugin handles the vCalendar format (or rather, the
meeting subset of it). It displays such mails in a nice format, lets you
create and send meetings, and creates a virtual folder with the meetings you
have sent or received.

%package -n %{oname}-vcalendar-plugin-devel
Summary:	This plugin for %{oname} install the vcalendar plugin headers
Group:		Networking/Mail
Requires:	%{oname}-devel >= %{claws_version}

%description -n %{oname}-vcalendar-plugin-devel
Header files for %{oname}-vcalendar-plugin.

%package -n %{oname}-gtkhtml2_viewer-plugin
Summary:	This plugin for %{oname} enables gtkhtml2 viewer
Group:		Networking/Mail
BuildRequires:	gail-devel
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-gtkhtml2_viewer-plugin
This %{oname} plugin provides gtkhtml2 viewer.

%package -n %{oname}-attachwarner-plugin
Summary:	This plugin for %{oname} enables attachwarner
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-attachwarner-plugin
This %{oname} plugin provides attachwarner.

%package -n %{oname}-spam_report-plugin
Summary:	This plugin for %{oname} enables spamreport
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-spam_report-plugin
This %{oname} plugin provides spamreport.

%package -n %{oname}-tnef_parse-plugin
Summary:	This plugin for %{oname} enables parsing MS-TNEF attachments
Group:		Networking/Mail
BuildRequires:	libytnef-devel
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-tnef_parse-plugin
This %{oname} plugin enables parsing MS-TNEF attachments.

%package -n %{oname}-address_keeper-plugin
Summary:	%{oname} plugin keeps all recipient addresses in an addressbook folder
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}

%description -n %{oname}-address_keeper-plugin
This %{oname} plugin keeps all recipient addresses in an addressbook folder.

%package -n %{oname}-clamd-plugin
Summary:	%{oname} plugin to enable scanning all received messages
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Requires:	clamav

%description -n %{oname}-clamd-plugin
This %{oname} plugin scans all messages that are received from an IMAP, LOCAL
or POP account using clamd (Clam AV).

%prep
%setup -q -c
%patch0
%patch1

%build
pushd claws-mail-extra-plugins-%{version}

%__rm -r archive*
%__rm -r geolocation*
%__rm -r gdata_plugin*

%__mv ./* ../
popd


rmdir claws-mail-extra-plugins-%{version}

# python_plugin : configure.ac is patched in patch0, so we need to regenerate it
# we can drop this in next release (2012-11-06)
pushd python_plugin-0.10
	autoreconf -fi
popd

for i in `find ./* -maxdepth 0  -type d`
    do
    pushd $i
    #./autogen.sh
    %configure2_5x --disable-rpath --disable-static
    %make
    popd
done

%install
%__rm -rf %{buildroot}

CLAWS_MAIL_PLUGINDIR=$(pkg-config --variable=plugindir claws-mail)

for i in `find ./* -maxdepth 0  -type d`
    do
    pushd $i
    %makeinstall_std CLAWS_MAIL_PLUGINDIR=$CLAWS_MAIL_PLUGINDIR
    popd
done

# remove devel files from plugins
find %{buildroot} -name *.la | xargs rm -f

#CAE have to rm to prevent conflict libical-devel
%__rm -f %{buildroot}%{_includedir}/ical.h
%__rm -rf %{buildroot}%{_includedir}/notification_plugin
%__rm -f %{buildroot}%{_includedir}/claws-mail/plugins/vcalendar/ical.h
%__rm -f %{buildroot}%{_includedir}/claws-mail/plugins/notification_plugin/gtkhotkey/*.h

# fix permissions
chmod 644 vcalendar*/COPYING vcalendar*/INSTALL vcalendar*/NEWS vcalendar*/README

%find_lang  acpi_notifier
%find_lang  address_keeper
%find_lang  attachwarner
%find_lang  bsfilter_plugin
%find_lang  fancy
%find_lang  gtkhtml2_viewer
%find_lang  notification_plugin
%find_lang  pdf_viewer
%find_lang  python_plugin
%find_lang  rssyl
%find_lang  spam_report
%find_lang  tnef_parse
%find_lang  clamd
%find_lang  vcalendar

%files -n %{oname}-acpi-plugin -f acpi_notifier.lang
%doc acpi*/AUTHORS
%doc acpi*/ChangeLog
%doc acpi*/NEWS
%doc acpi*/README
%{_libdir}/%{oname}/plugins/acpi*

%files -n %{oname}-att_remover-plugin
%doc att_remover*/AUTHORS
%doc att_remover*/ChangeLog
%doc att_remover*/NEWS
%doc att_remover*/README
%{_libdir}/%{oname}/plugins/att_remover*

%files -n %{oname}-attachwarner-plugin -f attachwarner.lang
%doc attachwarner*/AUTHORS
%doc attachwarner*/ChangeLog
%doc attachwarner*/NEWS
%doc attachwarner*/README
%doc attachwarner*/TODO
%{_libdir}/%{oname}/plugins/attachwarner*

%files -n %{oname}-bsfilter-plugin -f bsfilter_plugin.lang
%doc attachwarner*/AUTHORS
%doc attachwarner*/ChangeLog
%doc attachwarner*/NEWS
%doc attachwarner*/README
%doc attachwarner*/TODO
%{_libdir}/%{oname}/plugins/bsfilter*

%files -n %{oname}-fancy-plugin -f fancy.lang
%doc attachwarner*/AUTHORS
%doc attachwarner*/ChangeLog
%doc attachwarner*/NEWS
%doc attachwarner*/README
%doc attachwarner*/TODO
%{_libdir}/%{oname}/plugins/fancy*

%files -n %{oname}-fetchinfo-plugin
%doc fetchinfo*/ChangeLog
%doc fetchinfo*/README
%{_libdir}/%{oname}/plugins/fetchinfo*

%files -n %{oname}-mailmbox-plugin
%doc mailmbox*/AUTHORS
%doc mailmbox*/ChangeLog
%doc mailmbox*/README
%{_libdir}/%{oname}/plugins/mailmbox*

%files -n %{oname}-newmail-plugin
%doc newmail*/AUTHORS
%doc newmail*/ChangeLog
%doc newmail*/NEWS
%doc newmail*/README
%{_libdir}/%{oname}/plugins/newmail*

%files -n %{oname}-notification-plugin -f notification_plugin.lang
%doc notif*/AUTHORS
%doc notif*/ChangeLog
%doc notif*/NEWS
%doc notif*/README
%{_libdir}/%{oname}/plugins/noti*

%files -n %{oname}-pdf_viewer-plugin -f pdf_viewer.lang
%doc pdf_viewer*/AUTHORS
%doc pdf_viewer*/ChangeLog
%doc pdf_viewer*/NEWS
%doc pdf_viewer*/README
%{_libdir}/%{oname}/plugins/pdf_viewer*

%files -n %{oname}-perl-plugin
%doc perl*/AUTHORS
%doc perl*/ChangeLog
%doc perl*/NEWS
%doc perl*/README
%doc perl*/cm_perl.pod
%{_libdir}/%{oname}/plugins/perl*

%files -n %{oname}-python-plugin -f python_plugin.lang
%doc perl*/AUTHORS
%doc perl*/ChangeLog
%doc perl*/README
%{_libdir}/%{oname}/plugins/python*

%files -n %{oname}-rssyl-plugin -f rssyl.lang
%doc rssyl*/AUTHORS
%doc rssyl*/ChangeLog
%doc rssyl*/NEWS
%{_libdir}/%{oname}/plugins/rssyl*

%files -n %{oname}-vcalendar-plugin -f vcalendar.lang
%doc vcalendar*/AUTHORS
%doc vcalendar*/ChangeLog
%doc vcalendar*/NEWS
%doc vcalendar*/README
%{_libdir}/%{oname}/plugins/vcalendar*

%files -n %{oname}-vcalendar-plugin-devel
%{_includedir}/%{oname}/plugins/vcalendar/vcal_interface.h

%files -n %{oname}-gtkhtml2_viewer-plugin -f gtkhtml2_viewer.lang
%doc gtkhtml2*/AUTHORS
%doc gtkhtml2*/ChangeLog
%doc gtkhtml2*/NEWS
%doc gtkhtml2*/README
%{_libdir}/%{oname}/plugins/gtkhtml2_viewer*

%files -n %{oname}-spam_report-plugin -f spam_report.lang
%{_libdir}/%{oname}/plugins/spamreport*

%files -n %{oname}-tnef_parse-plugin -f tnef_parse.lang
%{_libdir}/%{oname}/plugins/tnef_parse*

%files -n %{oname}-address_keeper-plugin -f address_keeper.lang
%{_libdir}/%{oname}/plugins/address_keeper*

%files -n %{oname}-clamd-plugin -f clamd.lang
%{_libdir}/%{oname}/plugins/clamd*


%changelog

* Wed Jan 02 2013 julien <julien> 1:3.8.1-1.2.mga2
+ Revision: 337673
- add upstream patch1 to fix CVE-2012-5527 (MGA#8291)
- add patch0 to fix bug MGA#7945 (linking with libpython.so instead of libpython.so.x.y)
- drop unneeded BR

  + luigiwalser <luigiwalser>
    - add pdf_viewer-plugin subpackage
    - 3.8.1 (fix mga#7939)

  + fwang <fwang>
    - drop other header files
    - new version 3.8.0

* Sat Nov 19 2011 julien <julien> 1:3.7.10-3.mga2
+ Revision: 169167
- add patch1 to compile with glib 2.31+
- rebuild for new perl (fix bug #3376 with perl plugin unable to load)
- clean up spec a bit

* Fri Sep 30 2011 julien <julien> 1:3.7.10-2.mga2
+ Revision: 150597
- fix compilation with webkit 1.5.1+, fix #2856

* Fri Sep 02 2011 fwang <fwang> 1:3.7.10-1.mga2
+ Revision: 137873
- real remove gdata plugin
- gdata plugins br does not satisfied
- new version 3.7.10

* Thu Jun 30 2011 ahmad <ahmad> 1:3.7.9-1.mga2
+ Revision: 116303
- Update to 3.7.9
- Rediff patch0

* Mon Jun 20 2011 dmorgan <dmorgan> 1:3.7.8-3.mga2
+ Revision: 110460
- Rebuild against new webkit

* Mon Jun 13 2011 ahmad <ahmad> 1:3.7.8-2.mga2
+ Revision: 105591
- Add a patch to fix the build with libnotify-0.7

* Fri Feb 25 2011 ahmad <ahmad> 1:3.7.8-1.mga1
+ Revision: 59287
- remove the . at the end of the summary of one of the subpackages, or else the
  package is rejected (if rpmlint doesn't detect it when
  run locally how am I supposed to frigging spot it?)
- update to 3.7.8
- adapt the spec to available plugins
- drop old/unneeded scriptlets
- drop old provides/obsoletes
- imported package claws-mail-plugins

